[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/spamassassin/FC-3 spamassassin-3.0.3-rc-retval.patch, NONE, 1.1 spamassassin.spec, 1.30, 1.31



Author: wtogami

Update of /cvs/dist/rpms/spamassassin/FC-3
In directory cvs.devel.redhat.com:/tmp/cvs-serv24374/FC-3

Modified Files:
	spamassassin.spec 
Added Files:
	spamassassin-3.0.3-rc-retval.patch 
Log Message:
auto-import spamassassin-3.0.3-2.fc3 on branch FC-3 from spamassassin-3.0.3-2.fc3.src.rpm

spamassassin-3.0.3-rc-retval.patch:
 redhat-rc-script.sh |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

--- NEW FILE spamassassin-3.0.3-rc-retval.patch ---
http://bugzilla.spamassassin.org/show_bug.cgi?id=4287
spamassassin init script always exits with 0

diff -urN Mail-SpamAssassin-3.0.3.orig/spamd/redhat-rc-script.sh Mail-SpamAssassin-3.0.3/spamd/redhat-rc-script.sh
--- Mail-SpamAssassin-3.0.3.orig/spamd/redhat-rc-script.sh	2004-10-22 05:21:25.000000000 -1000
+++ Mail-SpamAssassin-3.0.3/spamd/redhat-rc-script.sh	2005-04-27 16:49:44.413909768 -1000
@@ -28,6 +28,9 @@
 [ -f /usr/bin/spamd -o -f /usr/local/bin/spamd ] || exit 0
 PATH=$PATH:/usr/bin:/usr/local/bin
 
+# By default it's all good
+RETVAL=0
+
 # See how we were called.
 case "$1" in
   start)
@@ -59,7 +62,8 @@
 	;;
   *)
 	echo "Usage: $0 {start|stop|restart|status|condrestart}"
-	exit 1
+	RETVAL=1
+	;;
 esac
 
-exit 0
+exit $RETVAL


Index: spamassassin.spec
===================================================================
RCS file: /cvs/dist/rpms/spamassassin/FC-3/spamassassin.spec,v
retrieving revision 1.30
retrieving revision 1.31
diff -u -r1.30 -r1.31
--- spamassassin.spec	27 Apr 2005 22:34:52 -0000	1.30
+++ spamassassin.spec	28 Apr 2005 02:59:25 -0000	1.31
@@ -6,7 +6,7 @@
 Summary: Spam filter for email which can be invoked from mail delivery agents.
 Name: spamassassin
 Version: 3.0.3
-Release: 1.fc3
+Release: 2.fc3
 License: Apache License
 Group: Applications/Internet
 URL: http://spamassassin.apache.org/
@@ -19,7 +19,7 @@
 # Patches 0-99 are RH specific
 # none yet
 # Patches 100+ are SVN backports (DO NOT REUSE!)
-#Patch105: spamassassin-3.0.3-r164513.patch
+Patch106: spamassassin-3.0.3-rc-retval.patch
 # end of patches
 Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 Buildroot: %{_tmppath}/%{name}-root
@@ -61,7 +61,7 @@
 # Patches 0-99 are RH specific
 # none yet
 # Patches 100+ are SVN backports (DO NOT REUSE!)
-#%patch105 -p1
+%patch106 -p1
 # end of patches
 
 %build
@@ -148,8 +148,9 @@
 exit 0
 
 %changelog
-* Wed Apr 27 2005 Warren Togami <wtogami redhat com> - 3.0.3-1
+* Wed Apr 27 2005 Warren Togami <wtogami redhat com> - 3.0.3-2
 - 3.0.3
+- SA#4287 retval fix
 
 * Mon Apr 25 2005 Warren Togami <wtogami redhat com> - 3.0.3-0.r164513
 - 3.0.3-r164513 (almost final)


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]